cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

I can't install EOS Utility 3 on macOS Sierra vers. 10.12.4

Batman
Apprentice

Recently got the EOS 5D mark IV and are now trying to install the utility software on my iMac but it will not let me install EOS utility 2 or 3.

All the other software has been installed without any problems.

Any advise please?

2 ACCEPTED SOLUTIONS

jrhoffman75
Legend
Legend

Are you installing from CD or the latest version on website?

 

Capture.JPG

John Hoffman
Conway, NH

1D X Mark III, M200, Many lenses, Pixma PRO-100, Pixma TR8620a, Lr Classic

View solution in original post

That version installs fine on my MacBook Air and connects to camera (1D X) (with 10.12.4).

John Hoffman
Conway, NH

1D X Mark III, M200, Many lenses, Pixma PRO-100, Pixma TR8620a, Lr Classic

View solution in original post

6 REPLIES 6

Waddizzle
Legend
Legend

I suggest that you contact Canon Support.

--------------------------------------------------------
"The right mouse button is your friend."

THX

jrhoffman75
Legend
Legend

Are you installing from CD or the latest version on website?

 

Capture.JPG

John Hoffman
Conway, NH

1D X Mark III, M200, Many lenses, Pixma PRO-100, Pixma TR8620a, Lr Classic

When it didnt work with the CD I downloaded a version from the Canon site but I'll check again and see if it is the latest version like the one in your link.

 

That version installs fine on my MacBook Air and connects to camera (1D X) (with 10.12.4).

John Hoffman
Conway, NH

1D X Mark III, M200, Many lenses, Pixma PRO-100, Pixma TR8620a, Lr Classic

Yes!! it works perfectly now aftyer installing the version you suggested - many thanks for your help!!

Avatar
click here to view the gallery
Announcements